#include "commodity.h"
#include "data/commodity-data.h"
#include "commodityform.h"
#include "commoditygrid.h"

Commodity::Commodity()
{
}

void Commodity::initServiceUi()
{
    CommodityGrid *grid = new CommodityGrid();
    CommodityForm *form = new CommodityForm();

    m_service = new Service<CommodityData>;
    m_ui = grid;
    ((CommodityGrid *) m_ui)->setForm(form);
}

QIcon Commodity::pluginIcon()
{
    return QIcon(":/icons/commodityPlugin.svg");
}
